net.sf.jasperreports.export

## Class SimplePrintServiceReportConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleReportExportConfiguration
    - - net.sf.jasperreports.export.SimpleGraphics2DReportConfiguration
      - - net.sf.jasperreports.export.SimplePrintServiceReportConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, Graphics2DReportConfiguration, PrintServiceReportConfiguration, ReportExportConfiguration

      public class SimplePrintServiceReportConfiguration
      extends SimpleGraphics2DReportConfiguration
      implements PrintServiceReportConfiguration

  Version:
    $Id: SimplePrintServiceExporterConfiguration.java 6718 2013-11-11 09:32:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.Graphics2DReportConfiguration

      `MINIMIZE_PRINTER_JOB_SIZE`

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimplePrintServiceReportConfiguration()`

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleGraphics2DReportConfiguration

      `getZoomRatio, isIgnoreMissingFont, isMinimizePrinterJobSize, setIgnoreMissingFont, setMinimizePrinterJobSize, setZoomRatio`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex, setEndPageIndex, setExporterFilter, setHyperlinkProducerFactory, setOffsetX, setOffsetY, setPageIndex, setProgressMonitor, setStartPageIndex`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.Graphics2DReportConfiguration

      `getZoomRatio, isIgnoreMissingFont, isMinimizePrinterJobSize`

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimplePrintServiceReportConfiguration

          public SimplePrintServiceReportConfiguration()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com